SND_AUDIOCS(4)

NAME
snd_audiocs - Crystal Semiconductor CS4231 audio device driver

SYNOPSIS
To compile this driver into the kernel, place the following lines in your kernel configuration file:

device sound
device snd_audiocs

Alternatively, to load the driver as a module at boot time, place the following line in loader.conf(5):

    snd_audiocs_load="YES"

DESCRIPTION
The snd_audiocs bridge driver allows the generic audio driver sound(4) to attach to the CS4231 audio device. Speaker output is enabled by default. SBus based UltraSPARC workstations have no internal CD-ROM audio input capability.

HARDWARE
The snd_audiocs driver supports the following audio devices:

•   CS4231 on SBus based UltraSPARC
•   CS4231 on PCI/EBus based UltraSPARC

SEE ALSO
ebus(4), sbus(4), sound(4)

HISTORY
The snd_audiocs device driver first appeared in FreeBSD 5.3.

AUTHORS
-nosplit The snd_audiocs driver was ported by Pyun YongHyeon <yongari@FreeBSD.org> from the OpenBSD driver written by Jason L. Wright.